{"title":"Get dimensionValues","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_dimensionvalue_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_dimensionvalue_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_dimensionvalue_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a dimension value object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"Prerequisites","slug":"prerequisites","at":92,"chars":17},{"level":2,"title":"HTTP request","slug":"http-request","at":109,"chars":295},{"level":2,"title":"Request headers","slug":"request-headers","at":404,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":476,"chars":61},{"level":2,"title":"Response","slug":"response","at":537,"chars":127},{"level":2,"title":"Example","slug":"example","at":664,"chars":572},{"level":2,"title":"Related information","slug":"related-information","at":1236,"chars":135}],"text":"Retrieve the properties and relationships of a dimension value object for Business Central.\n## Prerequisites\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/dimensions({id})/dimensionValues({id})\nGET businesscentralPrefix/companies({id})/dimensionValues({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a dimensionValues object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/dimensions({id})/dimensionValues({id})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"50c99ea7-bde4-ea11-bbf2-00155df3a615\",\n    \"code\": \"PRIVATE\",\n    \"dimensionId\": \"4fc99ea7-bde4-ea11-bbf2-00155df3a615\",\n    \"displayName\": \"Private\",\n    \"lastModifiedDateTime\": \"2020-08-22T21:23:11.437Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_dimensionvalue"}